Announcement

Collapse
No announcement yet.

Mac Mojave and QuickBooks 2016

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Mac Mojave and QuickBooks 2016

    I have read online that there are significant problems with using QuickBooks 2016 after upgrading to Apples most recent OSX Mojave. The most recent post "As far as QuickBooks Mac Desktop - we know of some problems with 2019 and 2016. We'll be patching them very soon to address these issues." by "qbmacforum1@intuit.com" on community.intuit.com. The post is now about a month old. When will Intuit be announcing a patch for Mojave?

    John Sinton

  • #2
    Yes, QuickBooks for Mac 2016 is compatible with Mojave. QuickBooks for Mac 2016 R6 or later is compatible with the latest released macOS Mojave. Support Team already tested this integration and recently added the Mojave desktop operating system as one of the minimum system requirements for QuickBooks on Macintosh computers. Any Mac released in mid 2012 or later will be able to run Mojave, and some older Mac Pros will also be able to run it. The Mac Pro is a special case. ... If you're not sure of the vintage of your Mac, go to the Apple menu, and choose About This Mac. You'll see its model and year.

    I hope this helps!
    Admin
    Apps4Rent

    Comment

    Working...
    X